Pay Per View Server Errors Upon Activation

Hello,

Upon activating Pay Per View, the following error began repeating in the server logs.

WordPress Multisite 3.3.1

[16-Mar-2012 23:11:43] WordPress database error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘subs, wp_usermeta recur

WHERE subs.user_id = recur.user_id

AND subs.meta_k’ at line 1 for query

DELETE FROM wp_usermeta subs, wp_usermeta recur

WHERE subs.user_id = recur.user_id

AND subs.meta_key=’ppw_subscribe’ AND NOW() > subs.meta_value

AND recur.meta_key=’ppw_recurring’ AND recur.meta_value <> ‘1’

made by require, require_once, require_once, require_once, do_action, call_user_func_array, PayPerView->init, PayPerView->clear_subscriptions

Any assistance would be apreciated.

Phil D

  • 3SixtyEvolve
    • New Recruit

    Hi Phil

    Hope you’re well.

    Just quickly jumping in here as I had a similar issue once and although the plugin is mentioned in the error, it was actually my MySQL and PHP versions that needed to be updated. It would be interesting to know what versions you have on your host, if you can get that information from your hosting company.

    Just for interest sake, can I also ask that you switch to the standard Twenty Eleven WordPress theme and see if the problem still persist. So first delete the Pay Per View Plugin and switch to the Twenty Eleven theme and then try to install the Pay Per View Plugin again. Let me know if you’re still having the same issue when doing this action.

    The Developer will be in here as well soon, so we should get you sorted in no time.

    Have a good day and looking forward to receiving your feedback.

    Gina

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.